const utils = require('../utils.js');
const path = require('path');
const fs = require('fs');

const DATA_JSON_PATH = path.resolve(utils.DATA_PATH, 'json');

if (!fs.existsSync(DATA_JSON_PATH)) {
    fs.mkdirSync(DATA_JSON_PATH, { recursive: true });
}

function getJsonPath(filename) {
    return path.resolve(DATA_JSON_PATH, filename);
}

module.exports = { getJsonPath };